/*
 * Copyright (C) 2006 TopCoder Inc., All Rights Reserved.
 */
package com.topcoder.web.ui.tag.breadcrumbtrail.pathdiscovery;

import com.topcoder.web.ui.tag.breadcrumbtrail.BreadCrumbNode;


/**
 * A mock class which extends AbstractNodeMatcher for testing.
 *
 * @author TCSDEVELOPER
 * @version 2.0
 */
public class MockAbstractNodeMatcher extends AbstractNodeMatcher {
    /**
     * A mock constructor.
     *
     * @param title the tite of the matcher.
     * @param url the url of the matcher.
     */
    public MockAbstractNodeMatcher(String title, String url) {
        super(title, url);
    }

    /**
     * Checks whether the given node matches.
     *
     * @param node the given node to check.
     *
     * @return whether the given node matches.
     */
    public boolean matches(BreadCrumbNode node) {
        return true;
    }
}
